Rails.application.routes.draw do
	locales = Site.first.in_use_locales rescue I18n.available_locales

	scope "(:locale)", locale: Regexp.new(locales.join("|")) do

	  namespace :admin do
	    resources :e_papers do
	    	member do 
	    		get :send_email_to_subscribers
	    		delete "delete_subscriber"
	    		get "send_test_email"
	    	end
	    	collection do
	    		get "subscribers"
	    	end
	    end
	    resources :topics
	  end
	  resources :e_papers  do 
	  	collection do 
	  		post :showtopic
	  	end
	  end
  	
  	get "/xhr/epaper/subscribeuser", to: "e_papers#subscribeuser"
  	get "/xhr/epaper/unsubscribeuser", to: "e_papers#unsubscribeuser"

	end
end
